%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	X terminal emulator for Xfce desktop environment
Name:		xfce4-terminal
Version:	0.8.8
Release:	%mkrel 1
Group:		Terminals
License:	GPLv2+
URL:		https://docs.xfce.org/apps/terminal/
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(libxfce4ui-2)
Obsoletes:	terminal < 0.6.0

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

desktop-file-edit \
	--add-category="GTK" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-edit \
	--remove-key="NotShowIn" \
	--add-only-show-in="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}-settings.desktop

%find_lang %{name} --with-man

%check
make check

%files -f %{name}.lang
%doc README ChangeLog NEWS AUTHORS HACKING THANKS
%{_bindir}/%{name}
%{_datadir}/xfce4/terminal/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/gnome-control-center/default-apps/%{name}-default-apps.xml
%{_mandir}/man1/%{name}.1.*
